.rui-collapsible-list-item {
  &__title,
  &__title__caption {
    display: flex;
    align-items: center;
    gap: var(--spacer-default);
  }

  &__title {
    min-height: var(--list-item-min-height);
    padding: var(--spacer-default);

    &__caption {
      flex-grow: 1;
      cursor: pointer;
    }

    &__actions {
      flex: none;
    }
  }

  &__content {
    padding: var(--spacer-small) var(--spacer-default);
    border-radius: var(--border-radius);
    margin: 0 var(--spacer-small);
    background-color: var(--component-content-background-alt);
    transition: height linear 0.3s;
  }

  &[open] {
    padding-bottom: var(--spacer-small);
    border-radius: var(--border-radius);
    background-color: var(--button-background--active);
  }
}
